% This function accepts binding data (Y) and returns a vector, Yhat, of fitted
% binding values corresponding to the original ligand concentration data.
% It also returns the fitting parameter KD (as the constant "C").
% The model Y = L/(L + KD) is used for this fit, which assumes ligand is in excess.

  function Yhat = Fit_SingleKD(C, x)

     KD = C;    

     Yhat = x./(x + KD);
